Bug 126621 - umount of gfs filesytem causes seg fault
umount of gfs filesytem causes seg fault
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
Derek Anderson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 16:40 EDT by Corey Marthaler
Modified: 2010-01-11 21:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 11:40:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-06-23 16:40:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
mount gfs on all nodes, then umount

Unable to handle kernel paging request at virtual address 01000034
 printing eip:
f8a73b90
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: gnbd lock_gulm lock_nolock lock_dlm dlm cman gfs lock_harness ipv6 parport_pc lp parport autofs4 sunrpc e1000 floppy sg microcode dm_mod uhci_hcd ehci_hcd button battery asus_acpi ac ext3 jbd qla2300 qla2xxx scsi_transport_fc sd_mod scsi_mod
CPU:    0
EIP:    0060:[<f8a73b90>]    Not tainted
EFLAGS: 00010286   (2.6.7)
EIP is at lockspace_busy+0x10/0x80 [dlm]
eax: 01000004   ebx: 00000001   ecx: 00000000   edx: 00000001
esi: f88b5f00   edi: 00000000   ebp: f6d0e200   esp: f67e3ee4
ds: 007b   es: 007b   ss: 0068
Process umount (pid: 3960, threadinfo=f67e2000 task=f6a0e5b0)
Stack: 00000000 00000001 f88b5f00 f8d38758 f6d0e200 f8a73c12 f7280190 01000004
       f7280138 f88b5f00 f8d38758 f6d0e200 f8b390ed f8b392e6 f8d34694 f88b53aa
       f8c34000 f8d38748 f8a380cf 00000000 f67e3f30 f6d0e200 f6d0e24c f8a4e5c0
Call Trace:
 [<f8a73c12>] dlm_release_lockspace+0x12/0x2e0 [dlm]
 [<f8b390ed>] release_gdlm+0xd/0x10 [lock_dlm]
 [<f8b392e6>] lm_dlm_unmount+0x16/0x30 [lock_dlm]
 [<f88b53aa>] lm_unmount+0x3a/0x78 [lock_harness]
 [<f8a380cf>] gfs_put_super+0x29f/0x330 [gfs]
 [<c0152904>] generic_shutdown_super+0x104/0x120
 [<c01531e7>] kill_block_super+0x17/0x40
 [<c0152760>] deactivate_super+0x60/0x80
 [<c016556b>] sys_umount+0x3b/0x80
 [<c014291a>] unmap_vma_list+0x1a/0x30
 [<c01655c5>] sys_oldumount+0x15/0x20
 [<c0105cad>] sysenter_past_esp+0x52/0x71

Code: 8b 68 30 39 ef 73 4b 8b 58 2c 8d b6 00 00 00 00 8b 13 39 da


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. mount
2. umount


Additional info:
Comment 1 David Teigland 2004-06-25 03:59:32 EDT
A spot was missed when adapting callers of new_lockspace() to its
new (safer, non-pointer) return value.  Fixed in changeset 1.1682.
Comment 2 Dean Jansa 2004-07-14 11:46:49 EDT
Attempted to reproduce, but hit bug 127839.   
Comment 3 Corey Marthaler 2004-08-25 11:40:45 EDT
we no longer see this bug but do still see 127839 in comment #2. 
Comment 4 Kiersten (Kerri) Anderson 2004-11-16 14:03:58 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.